Subject: RE: [Disman] definition of Alarm Raise in Comments on draft-ietf- disman-alarm-mib-15.txt

From: "Sharon Chisholm" <[email-masked]>
Date: Fri, 10 Oct 2003 12:36:14 -0400

Hi

The following is the proposed resolution to Randy-14  Assuming no objection,
this item will be considered closed conditional on the proposed edit being
done.

In section 3.1, replace

"  Alarm Raise
     The initial detection of the fault indicated by an alarm or any
     number of alarm states later entered, except clear. A Notification
     SHOULD be sent on alarm raise."

With

"  Alarm Raise
     The initial detection of the fault indicated by an alarm or any
     number of alarm states later entered, except clear."

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Friday, October 03, 2003 12:49 AM
To: Disman (E-mail)
Subject: [Disman] definition of Alarm Raise in Comments on
draft-ietf-disman-alarm-mib-15.txt

Hi -

> From: "Sharon Chisholm" <[email-masked]>
> To: "Disman (E-mail)" <[email-masked]>
> Cc: <[email-masked]>; "Randy Presuhn" 
> <[email-masked]>; "Romascanu, Dan (Dan)"
<[email-masked]>
> Sent: Monday, September 29, 2003 7:34 AM
> Subject: [Disman] RE: Comments on draft-ietf-disman-alarm-mib-14.txt
...
> 14) Page 4: "A notification SHOULD be sent on alarm raise."
>     Given the definition of notification, and the role of RFC
>     3413, this sentence should be deleted.  Whether a notification
>     should be sent depends on whether some manager is interested
>     in it and has configured the SNMP-NOTIFICATION-MIB and
>     SNMP-TARGET-MIB accordingly.
>
> Sharon -> This was explicitly discussed and wg consensus was that it 
> was OK to indicate a preference for sending notifications.
...

Perhaps I'm just getting denser, but I still don't see how this belongs in
the definition for "Alarm Raise".  The current text says:

  Alarm Raise
     The initial detection of the fault indicated by an alarm or any
     number of alarm states later entered, except clear. A Notification
     SHOULD be sent on alarm raise.

The second sentence simply does not belong in the definition.  Furthermore,
the SHOULD language directly contradicts the normal functioning of this MIB
module, which provides a means of controlling whether a Notification is
issued, and the operation of RFC 3413, which controls whether it is sent
anywhere.

Randy (technical contributor)

---

From: "Sharon Chisholm" <[email-masked]>
Date: Fri, 10 Oct 2003 12:36:14 -0400

Hi

In section 3.1, replace

"  Alarm Raise

With

"  Alarm Raise

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Friday, October 03, 2003 12:49 AM
To: Disman (E-mail)
Subject: [Disman] definition of Alarm Raise in Comments on

Hi -

<[email-masked]>
...
...

  Alarm Raise